com.mathworks.mps.client

## Interface MWRequestStateVisitor<T>

-     public interface MWRequestStateVisitor<T>

  Visits the state of an asynchronous MATLAB execution request.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancelled()` The request was cancelled at the client's request (this is a terminal state).
    `void` | `expired()` The request could not be found on the server at its previous URL.
    `void` | `failed(java.lang.Exception ex)` The request has completed with an error.
    `void` | `inQueue(long timeStamp, java.net.URL requestURL)` The request is waiting to be processed (this is the initial state).
    `void` | `interrupted()` The request is interrupted on the client side.
    `void` | `processing(long timestamp, java.net.URL requestURL)` The request is currently being processed.
    `void` | `ready(T responseData)` The request has completed with no errors; here is the result (this is a terminal state).
    `void` | `sending(byte[] data, java.net.URL serviceURL)` The request data is being sent.

- - ### Method Detail

    - #### cancelled

          void cancelled()

      The request was cancelled at the client's request (this is a terminal state).

    - #### expired

          void expired()

      The request could not be found on the server at its previous URL.

    - #### failed

          void failed(java.lang.Exception ex)

      The request has completed with an error.

    - #### interrupted

          void interrupted()

      The request is interrupted on the client side.

    - #### inQueue

          void inQueue(long timeStamp,
                       java.net.URL requestURL)

      The request is waiting to be processed (this is the initial state). The timeStamp represents the last known server-time when the request was in this state and the requestURL represents the resource URL on the server for this request.

    - #### processing

          void processing(long timestamp,
                          java.net.URL requestURL)

      The request is currently being processed. The timeStamp represents the last known server-time when the request was in this state and the requestURL represents the resource URL on the server for this request.

    - #### ready

          void ready(T responseData)

      The request has completed with no errors; here is the result (this is a terminal state). The responseData is the computed result for this request.

    - #### sending

          void sending(byte[] data,
                       java.net.URL serviceURL)

      The request data is being sent. The data represents the request data and the serviceURL represents the service being requested.

Copyright 2010-2022 The MathWorks, Inc.